Subject: [PATCH net-next-2.6 0/2] 3c59x: Locking fixes

From: Ben Hutchings <[email-masked]>
Date: Thu, 24 Jun 2010 00:52:41 +0100

disable_irq() is no longer safe to use in atomic context.  This should
remove the need to use disable_irq() or to hold locks for long periods
in 3c59x.

Ben.

Ben Hutchings (2):
  3c59x: Specify window explicitly for access to windowed registers
  3c59x: Use fine-grained locks for MII and windowed register access

 drivers/net/3c59x.c |  350 ++++++++++++++++++++++++++-------------------------
 1 files changed, 177 insertions(+), 173 deletions(-)